B Treasury Capital AB

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/b-treasury-capital-ab/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1755129600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://news.cision.com/btc-ab/r/btc-ab-enters-into-21-btc-convertible-loan-agreement-with-strike-price-of-sek-400--with-up-to-105-bt,c4218286",
    "holding_balance": 187.3,
    "holding_net_change": 21.0,
    "transaction_value_usd": 2499540.0,
    "average_entry_value_usd": 119025.71,
    "transaction_value_calculated": false
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://mb.cision.com/Main/23797/4300137/3907215.pdf",
    "holding_balance": 166.33,
    "holding_net_change": -20.97,
    "transaction_value_usd": 1834692.1416,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1775001600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.spotlightstockmarket.com/en/market-overview/news/news-article/?id=113258&publisher=370",
    "holding_balance": 167.33,
    "holding_net_change": 1.0,
    "transaction_value_usd": 68706.0,
    "average_entry_value_usd": 68706.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    167.33
  ],
  [
    1789257600000,
    167.33
  ],
  [
    1789344000000,
    167.33
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    12922703.4705
  ],
  [
    1789257600000,
    12926565.4469
  ],
  [
    1789344000000,
    12852309.4128
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 114.0,
    "date": "2026-09-09",
    "high": 117.0,
    "open": 117.0,
    "close": 114.0,
    "volume": 57
  },
  {
    "low": 114.0,
    "date": "2026-09-10",
    "high": 114.0,
    "open": 114.0,
    "close": 114.0,
    "volume": 30
  },
  {
    "low": 110.5,
    "date": "2026-09-11",
    "high": 116.0,
    "open": 116.0,
    "close": 112.0,
    "volume": 762
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 14.05,
  "six_month_return": 2.94,
  "three_month_return": 0.9
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/b-treasury-capital-ab/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 14.6,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}